/* Experiment med reguljärt uttryck */
// --------------------------------------------------
// Globala variabler och konstanter
let formElem;   // Form-elementet för testformuläret
let resElem;    // Element för utskrift av resultat
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    resElem = document.querySelector("#result");
    formElem = document.querySelector("#testForm");
    formElem.testBtn.addEventListener("click", checkCarNumber);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Funktion för att kontrollera textfältet
function checkCarNumber() {
    let re = /^[A-Z]{3}\d{2}(\d|[A-Z])$/i;
    //let re = /^[A-Z]{3} ?\d{2}(\d|[A-Z])$/i;
    //let re = /^[A-Z]{3} *\d{2}(\d|[A-Z])$/i;
    //let re = /^[A-Z]{3}( *|-)\d{2}(\d|[A-Z])$/i;
    let carNr = formElem.carNr.value;
    if (re.test(carNr)) {
        resElem.innerText = "Korrekt form";
    }
    else {
        resElem.innerText = "Fel form";
    }
    //carNr = carNr.replaceAll(/ |-/g, "");
    //formElem.carNr.value = carNr;
} // Slut checkCarNumber
// --------------------------------------------------
